Subject: RE: draft-ietf-ipv6-node-requirements-03.txt

From: "Bound, Jim" <[email-masked]>
Date: Sat, 15 Mar 2003 23:58:41 -0500

I think DHCPv6 getting M/O bits from CPE routers makes sense too?
Nothing prohibits it.  It was just left out of scope during ND and
Addrconf discussions and to keep focus on the end systems as target for
RAs.  There is lots of stuff a router could get from dhcpv6 server like
where are my HLR and VLRs for Telco network or what SS7/IP gateway do I
speak with. Makes me even more convinced Brian's words with SHOULD for
M/O bits in node requirements is definitely a SHOULD.

/jim

>-----Original Message-----
>From: Ralph Droms [mailto:[email-masked]] 
>Sent: Thursday, March 13, 2003 2:09 PM
>To: Pekka Savola
>Cc: Bound, Jim; [email-masked]; 
>[email-masked]; [email-masked]
>Subject: RE: draft-ietf-ipv6-node-requirements-03.txt
>
>
>At 09:06 AM 3/12/2003 +0200, Pekka Savola wrote:
>>On Tue, 11 Mar 2003, Bound, Jim wrote:
>> > In addition the Enterprise wireline networks and IT are 
>not going to 
>> > give up stateful control with servers and NAS in their 
>networks for 
>> > a long time with IPv6 is my intelligence from my work with users.
>>
>>Are servers and NAS configured with DHCPv4 today?
>
>Yes.  The home NAT/router in my basement acts as a DHCP client 
>on the interface connected to the ISP and as a DHCP server on 
>the interface to my home network.
>
>Your question does raise an interesting issue - where, in the 
>IPv6 specifications, is the behavior of a router in response 
>to received router advertisements specified?  How does a 
>router behave if it receives an RA with either or both of the 
>'M' and 'O' bits set?
>
>Note that the DHCPv6 doesn't include the infamous sentence: 
>"DHCP is not intended for use in configuring routers."
>
>I certainly anticipate routers using DHCPv6 for obtaining DNS 
>and similar configuration information, as well as prefix delegation...
>
>- Ralph
>
>
>>Not that I know of, we certainly don't do it (even though we 
>use DHCPv4 
>>for most workstations).  Of course, that's possible, e.g. by 
>>identifying MAC-address in the servers etc., but I'm not sure if all 
>>that many folks do it.
>>
>>Don't underestimate the power of an admin doing manual configuration. 
>>:-)
>>
>>So, my point is that there's a lot more to it than just "stateful" or 
>>"stateless".
>>
>>The critical point, IMO, is making the nodes able to easily configure 
>>other parameters they'd like, using DHCP-lite, or other 
>mechanisms like 
>>that.  Few people prefer to punch all of that in manually.
>>
>>--
>>Pekka Savola                 "You each name yourselves king, yet the
>>Netcore Oy                    kingdom bleeds."
>>Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
>>
>>
>>--------------------------------------------------------------------
>>IETF IPng Working Group Mailing List
>>IPng Home Page:                      http://playground.sun.com/ipng
>>FTP archive:                      ftp://playground.sun.com/pub/ipng
>>Direct all administrative requests to [email-masked]
>>--------------------------------------------------------------------
>
>

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------